/* 
wRITTEN & COMPILED BY  SMARAN AND TEAM FOR
COMPUTER GROUP PROJECT 
*/

*{
    margin: 0; padding: 0;
    box-sizing: border-box;
    outline: none; border: none;
    text-decoration: none;
    text-transform: capitalize;
    transition: all 0.2s linear;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Kanit', sans-serif;
 
}
:root{
    --min-color: rgb(255, 250, 250);
    --sc-color: rgb(255, 0, 0);
    --th-color: #000000;
}
html{
    scroll-behavior: smooth;
    scroll-padding-top: 0.5rem;
    font-size: 66%;
}

.heading{
    margin: 5rem auto;
    font-size: 3.5rem;
    text-align: center;
    color: red;
    text-transform: uppercase;
    font-weight: bold;
    
}


.heading-black{
    margin: 5rem auto;
    font-size: 3.5rem;
    text-align: center;
    color: rgb(0, 0, 0);
    text-transform: uppercase;
    font-weight: bold;
}
  .homepage{
    background-image: linear-gradient(rgba(0,0,0,0.8) , rgba(0,0,0,0.8)) , url(https://wallpaperaccess.com/full/1768169.jpg);
    background-size: cover;
    background-position: center;
    width: 100%;
    height: 100vh;
  }


nav{
    display: flex;
    align-items: center;
   justify-content: space-between;
    margin-left: 50px;
    margin-right: 30px;
    padding-top: 20px;
    color: white;
  
  }
  
  .logo{
    font-family: 'Kanit', sans-serif;
    font-size: 35px;
   color: white;
   transition: .4s;
   border: 15px;
    margin-left: 50px;
    
  }
  
  .logo:after {
   transition: .3s;
   content: "Co";
   color:red;
   transform: scale(1.3);
  }
  
  .logo:hover::after
  {
    transition: .3s;
    content: "Corporation";
    color:red;
  }
  
  
  
  span{
  color: red;
  font-family: 'Kanit', sans-serif;
  
  }
  
  
  
  nav ul li {
   list-style-type: none;
   display: inline-block;
   padding-top: 20px;
   
  
  }
  
  nav ul li a {
  font-size: 20px;
  text-decoration: none;
  font-size: 17px;
  background: transparent;
  border: none;
  padding: 1em 1.5em;
  color: #ffedd3;
  text-transform: uppercase;
  position: relative;
  transition: .5s ease;
  font-weight: bold;
  font-family: 'Roboto', sans-serif;
  
  }
  
  
  nav ul li a::before {
    content: '';
    position: absolute;
    left: 0;
    bottom: 0;
    height: 2px;
    width: 0;
    background-color: rgb(168, 14, 14);
    transition: .5s ease;
  }
  
  nav ul li a:hover {
    color: red;
    transition-delay: .5s;
  }
  
  nav ul li a:hover::before {
    width: 100%;
  }
  
  nav ul li a::after {
    content: '';
    position: absolute;
    left: 0;
    bottom: 0;
    height: 0;
    width: 100%;
    background-color: red;
    transition: .4s ease;
    z-index: -1;
  }
  
  nav ul li a:hover::after {
    height: 100%;
    transition-delay: 0.4s;
    color: rgb(255, 0, 0);
  }
  
  
  .button {
    margin: 0;
    height: auto;
    background: transparent;
    padding: 0;
    border: none;
  }
  
 
  .button {
    --border-right: 2.2px;
    --text-stroke-color: rgba(202, 11, 11, 0.6);
    --animation-color: #ff3737;
    --fs-size: 25px;
    letter-spacing: 3px;
    text-decoration: none;
    font-size: var(--fs-size);
    font-family: "Arial";
    position: relative;
    text-transform: uppercase;
    color: transparent;
    -webkit-text-stroke: 1px var(--text-stroke-color);
  }

  .hover-text {
    position: absolute;
    box-sizing: border-box;
    content: attr(data-text);
    color: var(--animation-color);
    width: 0%;
    inset: 0;
    border-right: var(--border-right) solid var(--animation-color);
    overflow: hidden;
    transition: 0.5s;
    -webkit-text-stroke: 2px var(--animation-color);
  }
 
  .button:hover .hover-text {
    width: 100%;
    
    filter: drop-shadow(0 0 23px var(--animation-color))
    
  }

.text-body{
    
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 80%;
    margin-left: 10px;
   
}

.text-body-main{
  
    color: #ffffff;
    font-size: 40px;
    font-weight: 600;
   align-self: flex-start;
   font-family: 'Kanit', sans-serif;
   border-left: 5px solid red;
   padding-left: 15px;
   text-align: left;

}

.container{
    width: 60vw;

}
.container .text{
    position: relative;
    color: #ff0000;
    font-size: 100px;
    font-weight: 600;
}
.container .text.first-text{
    color: #FFF;
    margin-left: 5px;
}

.cssbuttons-io-button {
  background: #ff0000;
  color: white;
  font-family: 'Kanit', sans-serif;
  padding: 0.35em;
  padding-left: 1.2em;
  font-size: 17px;
  font-weight: 500;
  border-radius: 0.9em;
  border: none;
  letter-spacing: 0.05em;
  display: flex;
  align-items: center;
  box-shadow: inset 0 0 1.6em -0.6em #892f0e;
  overflow: hidden;
  position: relative;
  height: 2.8em;
  padding-right: 3.3em;
  justify-self: end;
  
  
 }
 
 .cssbuttons-io-button .icon {
  background: white;
  margin-left: 1em;
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 2.2em;
  width: 2.2em;
  border-radius: 0.7em;
  box-shadow: 0.1em 0.1em 0.6em 0.2em #b97152;
  right: 0.3em;
  transition: all 0.3s;
 }
 
 .cssbuttons-io-button:hover .icon {
  width: calc(100% - 0.6em);
 }
 
 .cssbuttons-io-button .icon svg {
  width: 1.1em;
  transition: transform 0.3s;
  color: #b95252;
 }
 
 .cssbuttons-io-button:hover .icon svg {
  transform: translateX(0.1em);
 }
 
 .cssbuttons-io-button:active .icon {
  transform: scale(0.95);
 }
 
.about,.services,.team,.contact{
    padding: 0 100px;
}

.content-subtext{
    border-left: 5px solid red;
    padding-left: 10px; ;
}
.about{
    padding-top: 35px; ;
}
 
.about .row{
    display: flex;
    align-items: center;
    justifay-content: space-between;
}
.about .row .content h3{
    font-size: 3.2rem;
    margin: 1rem;
    color: var(--th-color);
    
}
.about .row .content p{
    font-size: 2rem;
    margin: 1rem;
    color: var(--th-color);
    
}
.about .row .content h4{
    font-size: 1.5rem;
    margin: 1rem;
    color: var(--th-color);
}
.about .row .content h4 i{
    color: var(--sc-color);
    margin-right: 0.8rem;
}
.about .row .image img{
    width: 100%;
    object-fit: cover;
} 
.about .row-2{
    margin-top: 12rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 2rem; 
}
.about .row-2 .images{
    width: 100%;
    height: 43rem; 
} 
.about .row-2 .images img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.about .row-2 .box{
    width: 80%;
}
.about .row-2 h1{
    font-size: 2rem;
    color: var(--th-color);
    /* padding: 1rem 0;  */
}
.about .row-2 p{
    font-size: 1.5rem;
    color: var(--th-color);
    padding: 1rem 0; 
}
.about .row-2 .box .content{
    display: flex;
    align-items: center;
    justify-content: center;
}
.about .row-2 .box .content .icons i{
    font-size: 2.5rem;
    color: var(--sc-color);

}
.about .row-2 .box .content .icons .icon-about{
    padding: 1rem 0;
}
.about .row-2 .box .content .icons h4{
    font-size: 2.5rem;
    color: var(--th-color);
    
}
.about .row-2 .box .content .icons p{
    font-size: 1rem;
    color: var(--th-color);
    
}
.services .row{
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(30%,1fr));
    gap: 2rem;
}
.services .row .serv{
    border: 0.1rem solid var(--th-color);
    text-align: center;
    padding: 3rem;
    
}
.services .row .serv:hover{
    transform: scale(1.1);
    box-shadow: 0 0.5rem 0.5rem rgba(0, 0, 0, 0.6);
    background-color: rgb(215, 166, 166);
}
.services .row .serv i{
    color: var(--th-color);
    background: var(--sc-color);
    font-size: 3rem;
    padding: 1.2rem;
    border-radius: 1rem;
    margin: 1rem;
}
.services .row .serv h2{
    font-size: 2rem;
    margin: 1rem;
    color: black;
    font-weight: bold;
}

.services .row .serv p{
    font-size: 2rem;
    margin: 1rem;
    color: black;
}
.call{
    margin: 15rem 0;
    background: linear-gradient(rgba( 0, 0, 0, 0.4), rgba(0,0,0,0.5)),
        url(../img/cta-bg.jpg) center no-repeat;
    background-attachment: fixed;
    height: 40rem;
    width: 100%;
    text-align: center;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;

}
.call h1{
    font-size: 3.5rem;
    color: var(--min-color);
}
.call p{
    font-size: 2rem;
    margin: 1rem;
    color: var(--min-color);
}
.btn{
    display: inline-block;
    padding: 0.8rem 3.8rem;
    font-size: 1.8rem;
    border: 0.1rem solid var(--min-color);
    outline: 0;
    background: none;
    cursor: pointer;
    text-align: center;
    color: var(--min-color);
}
.btn:hover{
    background: var(--sc-color);
    border: 0.1rem solid var(--sc-color);
    color: var(--min-color);
}

.gallery .row{
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(30%,1fr));
    gap: 0.1rem;
    padding: 0.7rem;
}
.gallery .row .box{
    border: 0.1rem solid var(--bg);
}
.gallery .row .box img{
    width: 100%;
    object-fit: cover;
    opacity: .8;
    overflow: hidden;
}

.gallery .row .box img:hover{
    transform: scale(.96);
    opacity: 1;
}

.count
{
    padding: 0px 100px;
}
.count .row{
    margin-top: 12rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 1rem; 
}
.count .row .images img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.count .row .box{
    width: 70%;
}
.count .row .box h1{
    font-size: 3.5rem;
    margin: 1rem;
}
.count .row .box p{
    font-size: 2rem;
    margin: 1rem 0.5rem;
}
.count .row .box .content{
    display: flex;
    align-items: center;
    justify-content: center;
}
.count .row .box .content .icons i{
    font-size: 2.7rem;
    color: var(--sc-color);

}
.count .row .box .content .icons span{
    font-size: 2.3rem;
    color: var(--th-color);
    margin-left: 0.8rem;
}
.count .row .box .content .icons .icon-about{
    padding: 1rem 0;
}
.count .row .box .content .icons h4{
    font-size: 2.8rem;
    color: var(--th-color);
    
}
.count .row .box .content .icons p{
    font-size: 1.8rem;
    color: var(--th-color);
    
}
.chose{
    margin: 15rem 0;
    background: linear-gradient(rgba( 0, 0, 0, 0.6), rgba(0,0,0,0.7)),
        url(../img/testimonials-bg.jpg) center no-repeat;
    background-attachment: fixed;
    height: 40rem;
    width: 100%;
    text-align: center;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;

}
.chose h1{
    font-size: 3.5rem;
    color: var(--min-color);
}
.chose p{
    font-size: 2rem;
    margin: 1rem;
    color: var(--min-color);
}
.team{
    padding-bottom: 50px;
}
.team .row{
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(20%,1fr));
    gap: 2rem;
    text-align: center;
}
.team .row .box:hover{
    transform: scale(1.1);
    box-shadow: 0 0.8rem 1rem rgba( 0, 0, 0, 0.6);

}
.team .row .box img{
    width: 100%;
    object-fit: cover;
    height: 350px;
    width: 300px;
}
.team .row .box .content h3{
    font-size: 1.9rem;
    color: var(--th-color);
    margin: 0.8rem 0;
}
.team .row .box .content .sochial i{
    font-size: 2.2rem;
    color: var(--th-color);
    margin: 0.5rem 0.2rem;
   

}
.team .row .box .content .sochial i:hover{
    color: var(--sc-color);
}

.contact{
    padding:0 100px ;
}
.form{
    padding: 0px 105px;
}
.contact .form{
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-top: 7rem;
}
.contact .form .icons .icon {
    padding: 2rem 0;
    text-align: center;
}
.contact .form .icons .icon i{
    font-size: 3rem;
    color: var(--sc-color);
    
}
.contact .form .icons .icon h3{
    font-size: 2rem;
    color: var(--th-color);
    margin: 0.8rem 0;
}
.contact .row form input,textarea{
    background: var(--min-color);
    border: 0.1rem solid rgb(160, 160, 160);
    padding: 1rem;
    height: 4.5rem; width: 100%;
    margin: 0.7rem 0;
    color: var(--th-color);
    font-size: 1.9rem;
}
.contact .row form input[type="submit"]{
    background: var(--sc-color);
    cursor: pointer;
    margin-bottom: 2rem;
    color: var(--min-color);
    border: 0.1rem solid var(--sc-color);

}
.contact .row form input[type="submit"]:hover{
    background: none;
    color: var(--th-color);
}
.contact .row form textarea{
    height: 15rem;
    padding: 1rem;
}
.footer{
    background: var(--th-color);
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(20%,1fr));
    gap: 2rem;
    text-align: center;
    padding: 4rem;
}
.footer h3{
    font-size: 3.5rem;
    margin: 2rem 0;
    color: var(--min-color);
}
.footer p{
    font-size: 1.6rem;
    margin: 1rem 0;
    color: var(--min-color);
}
.footer i{
    font-size: 2.6rem;
    margin: 1rem 0.5rem;
    color: var(--min-color);
}
.footer i:hover,
.footer a:hover{
    color: var(--sc-color);
}
.footer a{
    display: block;
    font-size: 2rem;
    margin: 0.5rem;
    color: var(--min-color);
}



@media(max-width:850px){

    html{
    font-size: 50%;
    }
    #bars-btn{
        display: inline-block;
    }
    header .navbar{
        position: fixed;
        /* */ top: 1000rem; left: 0; 
        text-align: center;
        background: rgba(0, 0, 0, 0.8);
        width: 100%;
    }
    header .navbar.active{
        top: 7.5rem;
    }
    header .navbar a{
        display: block;
        margin: 0.3rem 0;
        padding: 1rem;
        font-size: 2.6rem;
        color: var(--min-color);
    }
    header .navbar a:hover{
        background: var(--min-color);
    }
    header .login-form{
        width: 25rem;
        
    } 
    .about .row,
    .about .row-2,
    .count .row{
        flex-direction: column;
    }
    .services .row,
    .team .row{
        grid-template-columns: repeat(auto-fit,minmax(40%,1fr));
    }
    .gallery .row{
        grid-template-columns: repeat(auto-fit,minmax(90%,1fr));
    }
    .footer{
        grid-template-columns: repeat(auto-fit,minmax(40%,1fr));
    }
}

/* 
wRITTEN & COMPILED BY SMARAN AND TEAM FOR
COMPUTER GROUP PROJECT 
*/
